Skip to content
POST/{organizationId}/crm/contacts/tags/remove

Remove tag

Removes a contact tag case-insensitively from all matching contacts in the organization and cleans dependent member booking restrictions and canonical contact tag usage.

Required permissions:

  • tag.remove

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

tagstringrequired

minLength: 1

maxLength: 40

Authentication: X-API-Key

Request

POST/{organizationId}/crm/contacts/tags/remove
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/contacts/tags/remove' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "tag": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

removedRecordsintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "removedRecords": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}